/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.webservice;

// $Id: PortComponent.java,v 1.2.4.3 2005/10/29 05:07:18 starksm Exp $


/**
 * This object registered with MBeanServer
 * <p/>
 * The key is [deploymentName]#[port-component-name]
 *
 * @author Thomas.Diesler@jboss.org
 * @jmx.mbean description="Web Service Port Component"
 * @since 17-Jun-2004
 */
public class PortComponent implements PortComponentMBean
{
   private String serviceID;

   public PortComponent(PortComponentInfo pcInfo)
   {
      this.serviceID = pcInfo.getServiceID();
   }

   /**
    * @jmx.managed-attribute
    */
   public String getServiceID()
   {
      return serviceID;
   }
}

